Save PR checks configurationAsk AIpost https://app.aikido.dev/api/public/v1/repositories/code/continuous_integration/checksConfigure PR ChecksBody ParamsThe parameters needed to activate a code repocode_repo_idintegerrequiredThe ID of the related code repominimum_severitystringenumrequiredMinimum severity of new issues for when the CI Check should faillowmediumhighcriticalAllowed:lowmediumhighcriticalfail_on_dependency_scanbooleanrequiredBoolean representing if the CI Check should fail for new dependency issuestruefalsefail_on_sast_scanbooleanrequiredBoolean representing if the CI Check should fail for new sast issuestruefalsefail_on_iac_scanbooleanrequiredBoolean representing if the CI Check should fail for new iac issuestruefalsefail_on_secrets_scanbooleanrequiredBoolean representing if the CI Check should fail for new secret issuestruefalsefail_on_malware_scanbooleanrequiredBoolean representing if the CI Check should fail for new malware issuestruefalsepost_inline_comments_min_severitystringenumMinimum severity of new issues for when inline comments should be posted. Default is 'none'criticalnonelowmediumhighcriticalAllowed:nonelowmediumhighcriticalminimum_license_severitystringenumrequiredMinimum severity of new license issues for when the CI Check should fail. 'none' means the CI Check will not fail for any new license issuesnonehighcriticalAllowed:nonehighcriticalfail_on_code_quality_scanbooleanrequiredBoolean representing if the CI Check should fail for new code quality issuestruefalseenable_code_quality_scanbooleanrequiredBoolean representing if the code quality scan is enabledtruefalseResponse 200The CI checks configurations are updated.Updated 2 months ago